<?


$merchant_id = '174147';
$secret_word = '4spr01c5';

if (isset($_POST['num']) AND $user['id']) {
	$num = (int) abs($_POST['num']);
	
	if ($num < 1) {
		$err[] = 'Минимальная сумма 1р';
	}
	
	if (!isset($err)) {
		$order_id = md5(time() . mt_rand(1,9999999) . mt_rand(1,9999999));
		$sign = md5($merchant_id .':'. $num .':'. $secret_word .':'. $order_id);
		$us_hash = md5($order_id);
		$response['paymentInfo'] = false;
		$sql->insert("INSERT INTO `hist_freekassa` (`date_create`,`id_user`,`orderId`,`num`,`paymentInfo`) VALUES ('".time()."','".$user['id']."','".$us_hash."','".$num."','".$response['paymentInfo']."');");
		$link = "http://www.free-kassa.ru/merchant/cash.php?oa={$num}&o={$order_id}&s={$sign}&us_hash={$us_hash}&m={$merchant_id}&lang=ru";
		header('Location: '.$link);
	}
}
if (!is_array($system)) {
  die('Ошибка при загрузке настроек WMID');
}
/*
if (isset($_POST['LMI_PREREQUEST'])) {
  if (trim($_POST['LMI_PAYEE_PURSE']) != $system['wmpurse']) {
    die('Ошибка(1): Неверный кошелек получателя системы');
  }

  if ($sql -> selectCount("SELECT COUNT(*) FROM `users` WHERE `id` = '" . intval($_POST['id_user']) . "'") == 0) {
    die('Ошибка(3): Переданный ID пользователя не принадлежит ни одному пользователю');
  }
  
  if ($system['shop_money_open'] == 0) {
    die('Пополнение баланса временно приостановлено');
  }

  $id_user = $sql -> fetch("SELECT * FROM `users` WHERE `id` = '" . intval($_POST['id_user']) . "' LIMIT 1");

  die('YES');
} elseif (isset($_POST['LMI_HASH'])) {

  $common_string = $_POST['LMI_PAYEE_PURSE'].$_POST['LMI_PAYMENT_AMOUNT'].$_POST['LMI_PAYMENT_NO'].$_POST['LMI_MODE'].$_POST['LMI_SYS_INVS_NO'].$_POST['LMI_SYS_TRANS_NO'].$_POST['LMI_SYS_TRANS_DATE'].$system['secret_key'].$_POST['LMI_PAYER_PURSE'].$_POST['LMI_PAYER_WM'];
  
  $hash = strtoupper(hash('sha256', $common_string));

  if($hash != $_POST['LMI_HASH']) {
    die('Ошибка доступа');
  }
  
  $id_user = intval($_POST['id_user']);
  $purse = $_POST['LMI_PAYER_PURSE'];
  $wmid = (int) $_POST['LMI_PAYER_WM'];
  $wmr = round($_POST['LMI_PAYMENT_AMOUNT'], 2);
  
  $msglog = "Пополнение внутреннего счета в $wmr wmr.\rПлатежные реквизиты: WMID " . $wmid . " и WM кошелька " . $purse;
  
	$sql -> insert("INSERT INTO `billing_log` (`wmid`, `purse`, `time`, `type`, `id_user`, `coins`, `msg`) VALUES ('$wmid', '" . $sql->esc($purse) . "', '$time', 'coins', '$id_user', '" . $wmr . "', '$msglog')");
  
  $sql -> update("UPDATE `users` SET `wmr` = `wmr` + '$wmr' WHERE `id` = '$id_user' LIMIT 1");
  exit; 
} elseif ($level == 0) {
  die('Вы не авторизованы');
}
*/

$system['title'] = 'Пополнение счета';

require SYS . 'header.php';




if ($system['shop_money_open'] == 0){
?>
  <div class="alert alert-error" style="margin: 2px;">
    <center>
      <img src="<?= ICONS?>big_err.png" /> Пополнение баланса временно приостановлено!<br />
      <a href="/?func=user.main" class="btn">Перейти в кабинет</a>
    </center>
  </div>
<?
} else {
	//var_dump($_POST);
	?>
<div class="nav1">
	<div class="alert" style="margin: 2px;">
	Для пополнения баланса, укажите необходимую сумму, и пройдите процедуру оплаты.
	</div>
	<br/>
	<center>
	<form method='POST' action='/?func=user.balance'>
		<input type='text' name='num' value='100' style='width: 96%;'>
		<input type='submit' name='pay' value='Пополнить счёт' style='
		width: 98%;
		color: #927cb9;
		background-color: #8ef58e;
		padding: 10px;
		border-radius: 4px;
		border: 1px solid #30ca66;
		font-weight: 700;
		'>
	</form>
	</center>
</div>	
	<?
}


/* elseif (isset($_GET['success'])) {
?>
  <div class="alert alert-success" style="margin: 2px;">
    <center>
      <img src="<?= ICONS?>big_ok.png" /> Ваш баланс успешно пополнен!<br />
      <a href="/?func=user.main" class="btn">Перейти в кабинет</a>
    </center>
  </div>
<?
} elseif (isset($_GET['fail'])) {
?>
  <div class="alert alert-error" style="margin: 2px;">
    <center>
      <img src="<?= ICONS?>big_err.png" /> Ошибка при пополнении баланса!<br />
      <a href="/?func=user.main" class="btn">Перейти в кабинет</a>
    </center>
  </div>
<?
} elseif ($system['wmpurse']) {
$bro = "Пополнение | Внутреннего Счета | Магазин ".text($_SERVER['HTTP_HOST'])." | ".$user['login']." ";
//$bro = iconv('CP1251', 'UTF-8', ' '.$bro.' ');

?>
<div class="nav1">
  <div class="alert" style="margin: 2px;">
   Для пополнения баланса, укажите необходимую сумму, и пройдите процедуру оплаты.
  </div>

  <form action="https://merchant.webmoney.ru/lmi/payment.asp" method="POST" style="margin: 2px;">
    <fieldset>
      <input type=text name="LMI_PAYMENT_AMOUNT" value="10"><br />

      <input type=hidden name="LMI_PAYMENT_DESC_BASE64" value="<?= base64_encode($bro)?>">
      <input type=hidden name="LMI_PAYEE_PURSE" value="<?= $system['wmpurse']?>">
      <input type=hidden name="LMI_RESULT_URL" value="http://<?= urlencode($_SERVER['HTTP_HOST'])?>/index.php?func=<?= $func?>">
      <input type=hidden name="LMI_FAIL_URL" value="http://<?= urlencode($_SERVER['HTTP_HOST'])?>/index.php?func=<?= $func?>&amp;fail">
      <input type=hidden name="LMI_SUCCESS_URL" value="http://<?= urlencode($_SERVER['HTTP_HOST'])?>/index.php?func=<?= $func?>&amp;success">
      <input type=hidden name="id_user" value="<?= $user['id']?>">
     <button type="submit" class="btn btn-info">Пополнить</button>
    </fieldset>
  </form>
</div>
<?  
} else {
?>
  <div class="alert alert-error" style="margin: 2px;">
    <center>
      <img src="<?= ICONS?>big_err.png" /> Пополнение счета временно не доступно<br />
      <a href="/?func=user.main" class="btn">Перейти в кабинет</a>
    </center>
  </div>
<?
}*/